Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596575 - v2v should depends on the latest libguestfs
Summary: v2v should depends on the latest libguestfs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-v2v
Version: 5.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Matthew Booth
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 02:12 UTC by Rita Wu
Modified: 2013-07-03 01:40 UTC (History)
6 users (show)

Fixed In Version: 0.6.0-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-16 15:13:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
yum.log (deleted)
2010-05-28 10:28 UTC, Rita Wu
no flags Details

Description Rita Wu 2010-05-27 02:12:01 UTC
Description of problem:
v2v should depends on the latest libguestfs(currently 1.2.7-1.el5.1) so that it can automatically install the latest libguestfs(currently 1.2.7-1.el5.1) when installing virt-v2v.

Version-Release number of selected component (if applicable):
virt-v2v-0.6.0-1.el5

How reproducible:
always

Steps to Reproduce:
1. install virt-v2v
  
Actual results:
It won't install the latest libguestfs when installing virt-v2v

Expected results:
It will install the latest libguestfs when installing virt-v2v

Additional info:

Comment 1 Matthew Booth 2010-05-28 09:31:38 UTC
Fixed in 0.6.0-2

Comment 2 Rita Wu 2010-05-28 10:28:51 UTC
Created attachment 417560 [details]
yum.log

Verified in 0.6.0-2.
Now install v2v rpm pacakge, libguestfs will be automatically installed:

before install
# rpm -qa|grep libguestfs
# rpm -qa|grep virt-v2v

after install:
# rpm -qa|grep libguestfs
perl-libguestfs-1.2.7-1.el5.3
libguestfs-1.2.7-1.el5.3
# rpm -qa|grep virt-v2v
virt-v2v-0.6.0-2.el5

Comment 3 Ludek Smid 2010-07-16 15:13:30 UTC
This issue was already fixed in advisory
http://rhn.redhat.com/errata/RHEA-2010-0495.html


Note You need to log in before you can comment on or make changes to this bug.